Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Make sure that ActiveRecord is in use when applying fix for it #46

Merged
merged 1 commit into from

2 participants

Szymon Przybył Andrey Sitnik
Szymon Przybył

That fix from r18n-rails/lib/r18n-rails/translated.rb was causing an error on rails apps which have not ActiveRecord in Gemfile, this is patch for it.

Andrey Sitnik ai merged commit 9faa3d6 into from
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Oct 29, 2011
This page is out of date. Refresh to see the latest.
2  r18n-rails/Gemfile.lock
View
@@ -116,7 +116,7 @@ DEPENDENCIES
r18n-rails!
r18n-rails-api!
rails (>= 3)
- rake (>= 0, != 0.9.0)
+ rake (!= 0.9.0, >= 0)
rcov
rspec (>= 2)
rspec-rails (>= 2)
2  r18n-rails/lib/r18n-rails/translated.rb
View
@@ -21,7 +21,7 @@ module R18n
module Translated
module Base
def unlocalized_methods
- if ancestors.include? ActiveRecord::Base
+ if defined? ActiveRecord and ancestors.include? ActiveRecord::Base
column_names + column_names.map { |i| i + '=' } + instance_methods
else
instance_methods
Something went wrong with that request. Please try again.